SEAL Forum Index SEAL
The SEAL Forums
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

New DJGPP is uncompatible with SEAL

 
Post new topic   Reply to topic    SEAL Forum Index -> General
View previous topic :: View next topic  
Author Message
Guest






PostPosted: Wed Mar 27, 2002 4:00 pm    Post subject: Reply with quote

Posted by: Bad-Sector

yes... the latest version of DJGPP (which i got some days ago, but never used for SEAL... until now) is uncompatible with SEAL/Absolute SEAL and probably SEAL2. Firstly it doesn't support some things that SEAL uses, like multiline strings. Also (the major thing that made me to stop temporary AbSEAL devloping) it has a big issue with #define things. The problem seems to be the new GCC which is 3.0.4 (previus version of DJGPP was using GCC 2.9.5 or something like that... i think the same as Qube has in it's SDK),

I'm not going to use older compiler, since the new seems to be faster and generates faster and better code. But i don't know how i'm going to manage with the errors.

I remember that Michal has dropped Uniforms just because of a syntax change in an older version of DJGPP to a newer. After that change, he started SEAL... (at leas that was what Florian Xavier told me).
Back to top
Guest






PostPosted: Thu Mar 28, 2002 11:42 am    Post subject: Reply with quote

Posted by: Topguitarist

I got the same problem compiling SEAL2 with the new djgpp

--------------
Darragh McNally

MSN Messenger - darragh_mc_nally@hotmail.com


"Is tá Ruairí Mac Orlaidh 'dul chun bás ar dhroichead Thuama inniú"
Back to top
cheshire_cat



Joined: 14 Jan 2002
Posts: 149
Location: United Kingdom of Great Britain and NI

PostPosted: Thu Mar 28, 2002 1:27 pm    Post subject: Reply with quote

Hi All !

I had lots of trouble finding a version of DJGPP that would work wiith paws because it have same problems as Uniforms...ie...the C++ code does not work with newer DJGPP.

WHen I 1st got this DJGPP that I needed, it turned out that I could compile PAWS and Uniforms
Back to top
View user's profile Send private message Send e-mail Visit poster's website AIM Address MSN Messenger
Display posts from previous:   
Post new topic   Reply to topic    SEAL Forum Index -> General All times are GMT - 7 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group